Package org.codehaus.janino

# Interface Visitor.TryStatementResourceVisitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object returned by the `visit*()` methods
  `EX` - The exception that the `visit*()` methods may throw

Enclosing class:
  `Visitor`

public static interface Visitor.TryStatementResourceVisitor<R,EX extends Throwable>
The visitor for all kinds of `Java.TryStatement.Resource`s.

## Method Summary

Modifier and Type
Method
Description
`R`
`visitLocalVariableDeclaratorResource(Java.TryStatement.LocalVariableDeclaratorResource lvdr)`
Invoked by `Java.TryStatement.LocalVariableDeclaratorResource.accept(Visitor.TryStatementResourceVisitor)`.
`R`
`visitVariableAccessResource(Java.TryStatement.VariableAccessResource var)`
Invoked by `Java.TryStatement.VariableAccessResource.accept(Visitor.TryStatementResourceVisitor)`

## Method Details

### visitLocalVariableDeclaratorResource

@Nullable R visitLocalVariableDeclaratorResource(Java.TryStatement.LocalVariableDeclaratorResource lvdr) throws EX
Invoked by `Java.TryStatement.LocalVariableDeclaratorResource.accept(Visitor.TryStatementResourceVisitor)`.

Throws:
  `EX`

### visitVariableAccessResource

@Nullable R visitVariableAccessResource(Java.TryStatement.VariableAccessResource var) throws EX
Invoked by `Java.TryStatement.VariableAccessResource.accept(Visitor.TryStatementResourceVisitor)`

Throws:
  `EX`